YoYInflationVolatilityTraits Class Reference

traits for inflation-volatility bootstrap More...

`#include <ql/experimental/inflation/piecewiseyoyoptionletvolatility.hpp>`

## Public Types

typedef BootstrapHelper< YoYOptionletVolatilitySurface > | helper

## Static Public Member Functions

static Date | initialDate (const YoYOptionletVolatilitySurface *s)
static Real | initialValue (const YoYOptionletVolatilitySurface *s)
template<class C >
static Real | guess (Size i, const C *c, bool validData, Size)
template<class C >
static Real | minValueAfter (Size i, const C *c, bool, Size)
template<class C >
static Real | maxValueAfter (Size i, const C *c, bool, Size)
static void | updateGuess (std::vector< Real > &vols, Real level, Size i)
static Size | maxIterations ()

## Detailed Description

traits for inflation-volatility bootstrap